<?php
/*********************************************
Description: Processa página inicial
File: /includes/pg.php
Project: Basikus
Developers: João Vieira
Start Date: 2009/12/21
*********************************************/

if(!$smartyPg->is_cached($strPagina . ".html", $strPagina)){

    if ( strpos($_SERVER['REQUEST_URI'], '-en.html') !== false ) {
	$_SESSION['lingua'] 	= "en";
	$siteLng		= "en";
    }else {
	$_SESSION['lingua'] 	= "pt";
	$siteLng		= "pt";
    }


    //meta tags
    $paginaTitle		= "Sport Golf";
    $paginaKeywords		= "sport, golf";
    $paginaDescription		= "Sport golf.";

    //evento realizar proximo
    $smartyPg->assign('listaEventosRealizarProximos', array());
    $intCategoria		= '3';
    $respostaDb->GetConteudos($intCategoria, "20", "AND conteudos.protegido LIKE 'NAO' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') >= DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada ASC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $strImagem	= '';
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']	= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']	= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 38);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['metaurl']	= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem	= explode('src="', $strImagem[1]);
		$strImagem	= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	    $indice++;
	}
	$smartyPg->assign('listaEventosRealizarProximos', $listaConteudos);
    }

}
?>